# swoole_mysql->begin

启动事务。函数原型：
```php
function swoole_mysql->begin(callable $callback);
```

* 启动一个MySQL事务，事务启动成功会回调指定的函数
* 与`commit`和`rollback`结合实现MySQL事务处理
* 同一个MySQL连接对象，同一时间只能启动一个事务
* 必须等到上一个事务`commit`或`rollback`才能继续启动新事务
* 否则底层会抛出`Swoole\MySQL\Exception`异常，异常`code`为`21`

> 事务处理在`1.9.15`或更高版本可用

使用实例
----
```php
$db->begin(function( $db, $result) {
	$db->query("update userinfo set level = 22 where id = 1", function($db, $result) {
		$db->commit(function($db, $result) {
			echo "commit ok\n";
		});
	});
});
```